from CharStyle import *

gStyleStructKeyword	= NamedCharStyle("Keyword")
gStyleKeyword			= gStyleStructKeyword   # for simplicity (# see InitPython.py)
gStyleString			= NamedCharStyle("String")

gStyleCode				= NamedCharStyle("Code")
gStyleComment			= NamedCharStyle("Comment")
gStyleMacro			= NamedCharStyle("Macro")
gStyleClass			= NamedCharStyle("Class")
gStyleInstVar			= NamedCharStyle("InstVar")
gStyleMethodDef		= NamedCharStyle("MethodDef")
gStyleMethodImpl		= NamedCharStyle("MethodImpl")
gStyleFunction			= NamedCharStyle("Function")
gStyleFriend			= NamedCharStyle("Friend")
gStyleTypeDef			= NamedCharStyle("TypeDef")
gStyleVariable			= NamedCharStyle("Variable")
gStyleConst			= NamedCharStyle("Const")
gStyleEnum				= NamedCharStyle("Enum")
gStyleEnumItem			= NamedCharStyle("EnumItem")
gStyleUserDefined		= NamedCharStyle("UserDefined")
